% Discount on Plan 9
% Josh Wood
% 2009-06-12

# *Discount* Markdown compiler on Plan 9

## Build

	% CONFIG='--enable-all-features' mk config
	% mk install
	% markdown -V
	markdown: discount X.Y.Z DL_TAG HEADER DEBUG SUPERSCRIPT RELAXED DIV

`--enable-all-features` may be replaced by zero or more of:

		--enable-dl-tag		Use the DL tag extension
		--enable-pandoc-header	Use pandoc-style header blocks
		--enable-superscript	A^B becomes A<sup>B</sup>
		--enable-amalloc	Enable memory allocation debugging
		--relaxed-emphasis	underscores aren't special in the middle of words
		--with-tabstops=N	Set tabstops to N characters (default is 4)
		--enable-div		Enable >%id% divisions
		--enable-alpha-list	Enable (a)/(b)/(c) lists
		--enable-all-features	Turn on all stable optional features

## Notes

The supplied mkfile merely drives Discount's own configure script and
then APE's *psh* environment to build the Discount source, then copies
the result(s) to locations appropriate for system-wide use on Plan 9.
There are a few other *mk*(1) targets:

`install.libs`: Discount includes a C library and header.
Installation is optional.  Plan 9 binaries are statically linked.

`install.man`: Add manual pages for markdown(1) and (6).

`install.progs`: Extra programs.  *makepage* writes complete XHTML
documents, rather than fragments.  *mkd2html* is similar, but produces
HTML.
